/* embedded fonts */

@font-face {
    font-family: "Inter";
    font-weight: normal;
    font-style: normal;
    src: url("fonts/Inter-Regular.ttf") format('truetype');
}

@font-face {
    font-family: "Inter";
    font-weight: bold;
    font-style: normal;
    src: url("fonts/Inter-Bold.ttf") format('truetype');
}

/* general css */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

*:focus {
    outline: none;
}

a {
    text-decoration: none;
    color: #ffffff;
}

body {
    font-family: "Inter", sans-serif;
    font-size: 14px;
    line-height: 1.8em;
    color: #ffffff;
    min-height: 100vh;
    background-color: #080808;
    background-image: url("img/prism-login-back.jpg");
    background-size: cover;
    background-position: 50% 50%;
    background-repeat: no-repeat;
}

input,
button {
    font-family: "Inter", sans-serif;
}

/* login style */

#wrapper {
    width: 100%;
    min-height: 100vh;
    background: radial-gradient(rgba(0, 0, 0, 0.6) 0%, rgba(0, 0, 0, 0.2) 60%, rgba(0, 0, 0, 0.2) 100%);
    display: flex;
    align-items: center;
    justify-content: center;
}

@keyframes login_anim {
    from {
        opacity: 0;
        transform: scale(1.1, 1.1);
    }
    to {
        opacity: 1;
        transform: scale(1, 1);
    }
}

.registration_form {
    animation: login_anim 800ms ease-in;
    margin-top: -10px;
    line-height: 2em;
    width: 90%;
    max-width: 540px;
    padding: 40px;
}

.registration_form img {
    display: block;
    width: 100%;
    height: 120px;
    margin-bottom: 30px;
    object-fit: contain;
}

.registration_form input {
    width: 100%;
    height: 40px;
    line-height: 40px;
    border: none;
    border-radius: 5px;
}

.registration_form input[type=text], .registration_form input[type=password] {
    background-color: rgba(250, 250, 250, 0.8);
    padding: 0px 10px;
}

.registration_form button {
    width: 100%;
    padding: 11px 10px;
    padding-top: 14px;
    border: none;
    border-radius: 3px;
    color: #ffffff;
    text-transform: uppercase;
    letter-spacing: 1px;
    background: linear-gradient(135deg, rgba(184, 21, 217, 0.8) 0%, rgba(237, 54, 30, 0.8) 100%);
    box-shadow: 0px 0px 6px rgba(209, 122, 110, 0.3);
    transition: 200ms all ease-in;
    cursor: pointer;
    font-weight: bold;
}

.registration_form button:hover {
    background: linear-gradient(135deg, rgba(184, 21, 217, 1) 0%, rgba(237, 54, 30, 1) 100%);
    box-shadow: 0px 0px 12px rgba(209, 122, 110, 0.8);
}

.registration_form button .button_arrow {
    display: inline-block;
    width: 20px;
    height: 20px;
    background-image: url(img/menu-icon.png);
    background-size: cover;
    vertical-align: middle;
    margin-top: -4px;
}

.registration_form .form_checkbox {
    -webkit-appearance: none;
    appearance: none;
    position: relative;
    display: inline-block;
    width: 20px;
    height: 20px;
    margin-right: 10px;
    margin-top: -2px;
    vertical-align: middle;
}

.registration_form .form_checkbox:before {
    content: "";
    display: block;
    position: absolute;
    width: 20px;
    height: 20px;
    top: 0;
    left: 0;
    background-color: rgba(250, 250, 250, 0.8);
    border-radius: 3px;
}

.registration_form .form_checkbox:checked:after {
    content: "";
    display: block;
    position: absolute;
    width: 12px;
    height: 12px;
    top: 4px;
    left: 4px;
    background: linear-gradient(135deg, rgba(184, 21, 217, 0.8) 0%, rgba(237, 54, 30, 0.8) 100%);
    border-radius: 2px;
}

.registration_form .checkbox_card {
    width: 100%;
    padding: 20px 24px;
    background-color: rgba(100, 70, 90, 0.2);
    border: 1px rgb(140, 70, 110) solid;
    border-radius: 6px;
    border-left-width: 5px;
    backdrop-filter: blur(5px);
    margin-top: 10px;
    margin-bottom: 10px;
}

.registration_form .checkbox_card strong {
    color: rgb(193 79 119);
    display: inline-block;
    font-size: 16px;
    margin-bottom: 14px;
}

.registration_form .checkbox_card p {
    margin-bottom: 14px;
}

.registration_form .email_code_input {
    text-align: center;
    padding: 30px 20px !important;
    font-size: 24px;
    font-weight: bold;
    color: #ffffff !important;
    background-color: rgba(10, 10, 10, 0.8) !important;
    border: 1px #3a3a3a solid !important;
    letter-spacing: 4px;
    backdrop-filter: blur(5px);
}

.registration_form a {
    color: rgb(193 79 119);
}

.registration_form a:hover {
    color: rgb(194, 128, 151);
}

.registration_form .more_info {
    overflow: hidden;
    height: 4px;
    max-height: 4px;
}

.registration_form .centered_text {
    text-align: center;
}

.tick {
    display: inline-block;
    margin-bottom: 20px;
    position: relative;
    width: 100px;
    height: 100px;
    border: 3px #ffffff solid;
    border-radius: 50%;
}

@keyframes tick_before_anim {
    from { width: 0px; }
    to { width: 32px; }
}

.tick:before {
    content: "";
    position: absolute;
    width: 0px;
    height: 3px;
    background-color: #ffffff;
    left: 18px;
    top: 44px;
    transform: rotateZ(45deg);
    transform-origin: 0 0;
    animation: tick_before_anim 400ms 800ms forwards;
}

@keyframes tick_after_anim {
    from { width: 0px; }
    to { width: 50px; }
}

.tick:after {
    content: "";
    position: absolute;
    width: 0px;
    height: 3px;
    background-color: #ffffff;
    right: 56px;
    top: 62px;
    transform: rotate(140deg);
    transform-origin: 100% 100%;
    animation: tick_after_anim 400ms 1200ms forwards;
}

.registration_form .info_box {
    display: none;
    width: 100%;
    padding: 20px 24px;
    padding-left: 60px;
    background-color: rgba(100, 70, 90, 0.2);
    border: 1px rgb(140, 70, 110) solid;
    border-radius: 6px;
    border-left-width: 5px;
    backdrop-filter: blur(5px);
    margin-top: 10px;
    margin-bottom: 16px;
    position: relative;
}

.registration_form .info_box:before {
    content: "";
    display: block;
    position: absolute;
    height: 30px;
    width: 30px;
    background-image: url(img/info-icon.png);
    background-size: contain;
    left: 16px;
    top: 18px;
}

.registration_form .registration_loading {
    display: none;
    padding: 6px 16px;
    padding-top: 8px;
    background-color: rgba(200, 200, 200, 0.1);
    border: 1px #444444 solid;
    border-radius: 6px;
    text-align: center;
    font-weight: 600;
    backdrop-filter: blur(5px);
}

.registration_form .registration_loading img {
    display: inline-block;
    width: 42px;
    height: 42px;
    vertical-align: middle;
    margin-bottom: 0;
    margin-right: 4px;
    margin-left: -20px;
}

#password {
    margin-bottom: 10px;
    padding-right: 40px;
}

#password,
#show_hide_toggle {
    vertical-align: top;
}

#show_hide_toggle {
    display: inline-block;
    width: 24px;
    height: auto;
    margin-left: -32px;
    margin-top: 8px;
    opacity: 0.6;
    vertical-align: top;
}

#show_hide_toggle:hover {
    opacity: 0.9;
}

#show_hide_toggle img {
    display: block;
    width: 100%;
    height: auto;
    margin-bottom: 0;
}

#footer {
    width: 100%;
    height: 50px;
    color: #b9b9b9;
    line-height: 50px;
    margin-top: -50px;
    text-align: center;
    z-index: 2;
}

/* mobile view */
@media only screen and (max-width: 800px) {

    .registration_form {
        width: 100%;
        padding: 26px;
        padding-bottom: 80px;
    }

}